ON_CurveArray Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_curve.h>`

Inheritance diagram for ON_CurveArray:

## Public Member Functions

| ON_CurveArray (int=0)
| ~ON_CurveArray ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)
void | Destroy ()
bool | Duplicate (ON_CurveArray &) const
bool | GetTightBoundingBox (ON_BoundingBox &tight_bbox, int bGrowBox=false, const ON_Xform *xform=0) const
Public Member Functions inherited from ON_SimpleArray< ON_Curve * >
| ON_SimpleArray ()
| ON_SimpleArray (int)
| ON_SimpleArray (const ON_SimpleArray< ON_Curve * > &)
virtual | ~ON_SimpleArray ()
virtual ON_SimpleArray< ON_Curve * > & | operator= (const ON_SimpleArray< ON_Curve * > &)
void | EmergencyDestroy (void)
int | Count () const
unsigned int | UnsignedCount () const
int | Capacity () const
unsigned int | SizeOfArray () const
unsigned int | SizeOfElement () const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON_Curve *& | operator[] (int)
ON_Curve *& | operator[] (unsigned int)
ON_Curve *& | operator[] (ON__INT64)
ON_Curve *& | operator[] (ON__UINT64)
const ON_Curve *& | operator[] (int) const
const ON_Curve *& | operator[] (unsigned int) const
const ON_Curve *& | operator[] (ON__INT64) const
const ON_Curve *& | operator[] (ON__UINT64) const
| operator ON_Curve ** ()
| operator const ON_Curve ** () const
ON_Curve ** | First ()
const ON_Curve ** | First () const
ON_Curve ** | At (int)
ON_Curve ** | At (unsigned int)
ON_Curve ** | At (ON__INT64)
ON_Curve ** | At (ON__UINT64)
const ON_Curve ** | At (int) const
const ON_Curve ** | At (unsigned int) const
const ON_Curve ** | At (ON__INT64) const
const ON_Curve ** | At (ON__UINT64) const
ON_Curve ** | Last ()
const ON_Curve ** | Last () const
ON_Curve *& | AppendNew ()
void | Append (const ON_Curve *&)
void | Append (int, const ON_Curve **)
void | Insert (int, const ON_Curve *&)
void | Remove ()
virtual void | Remove (int)
void | Empty ()
void | Reverse ()
void | Swap (int, int)
int | Search (const ON_Curve *&) const
int | Search (const ON_Curve **, int(*)(const ON_Curve **, const ON_Curve **)) const
int | BinarySearch (const ON_Curve **, int(*)(const ON_Curve **, const ON_Curve **)) const
int | BinarySearch (const ON_Curve **, int(*)(const ON_Curve **, const ON_Curve **), int) const
bool | HeapSort (int(*)(const ON_Curve **, const ON_Curve **))
bool | QuickSort (int(*)(const ON_Curve **, const ON_Curve **))
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_Curve **, const ON_Curve **)) const
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_Curve **, const ON_Curve **, void *), void *) const
bool | Permute (const int *)
void | Zero ()
void | MemSet (unsigned char)
void | Reserve (int)
void | Shrink ()
void | Destroy ()
virtual ON_Curve ** | Realloc (ON_Curve **, int)
ON_Curve ** | Array ()
const ON_Curve ** | Array () const
void | SetCount (int)
void | SetCapacity (int)
int | NewCapacity () const
ON_Curve ** | KeepArray ()
void | SetArray (ON_Curve **)
void | SetArray (ON_Curve **, int, int)

## Additional Inherited Members

Protected Member Functions inherited from ON_SimpleArray< ON_Curve * >
void | Move (int, int, int)
Protected Attributes inherited from ON_SimpleArray< ON_Curve * >
ON_Curve ** | m_a
int | m_count
int | m_capacity

## Detailed Description

Definition at line 1143 of file opennurbs_curve.h.

## Constructor & Destructor Documentation

ON_CurveArray::ON_CurveArray | ( | int | = `0` | ) |

ON_CurveArray::~ON_CurveArray | ( |  | ) |

## Member Function Documentation

void ON_CurveArray::Destroy | ( |  | ) |

bool ON_CurveArray::Duplicate | ( | ON_CurveArray & |  | ) | const

bool ON_CurveArray::GetTightBoundingBox | ( | ON_BoundingBox & | tight_bbox,
|  | int | bGrowBox = `false`,
|  | const ON_Xform * | xform = `0`
| ) |  | const

bool ON_CurveArray::Read | ( | ON_BinaryArchive & |  | ) |

bool ON_CurveArray::Write | ( | ON_BinaryArchive & |  | ) | const

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_curve.h